Bug 853064 - List_del corruption when removing the module AOE
List_del corruption when removing the module AOE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 08:22 EDT by Dimitar Pashev
Modified: 2013-01-28 09:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-13 23:14:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (40.64 KB, text/plain)
2012-10-24 15:53 EDT, Dimitar Pashev
no flags Details

  None (edit)
Description Dimitar Pashev 2012-08-30 08:22:01 EDT
Description of problem:
List_del corruption when removing the module AOE

Version-Release number of selected component (if applicable):
Fedora 16, kernel-3.4.9-1.fc16.x86_64

How reproducible:
rmmod aoe

  
Actual results:
[590567.004914] ------------[ cut here ]------------
[590567.005007] WARNING: at lib/list_debug.c:58 __list_del_entry+0x82/0xd0()
[590567.005128] Hardware name: S5000VSA
[590567.005194] list_del corruption. next->prev should be ffff88020fe2d358, but was ffffffff81c76020
[590567.005329] Modules linked in: aoe(-) ebtable_nat ebtables des_generic md4 nls_utf8 cifs fscache lockd 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables i5000_edac ioatdma edac_core dca i5k_amb i2c_i801 iTCO_wdt iTCO_vendor_support vhost_net e1000e coretemp macvtap macvlan tun shpchp serio_raw kvm_intel microcode kvm sunrpc usb_storage radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[590567.006725] Pid: 4996, comm: rmmod Not tainted 3.4.9-1.fc16.x86_64 #1
[590567.006820] Call Trace:
[590567.006869]  [<ffffffff8105808f>] warn_slowpath_common+0x7f/0xc0
[590567.006964]  [<ffffffff81058186>] warn_slowpath_fmt+0x46/0x50
[590567.012975]  [<ffffffff812d6ea2>] __list_del_entry+0x82/0xd0
[590567.018983]  [<ffffffff812d6f01>] list_del+0x11/0x40
[590567.024962]  [<ffffffff812de0b8>] percpu_counter_destroy+0x28/0x50
[590567.030954]  [<ffffffff8114221e>] bdi_destroy+0x11e/0x170
[590567.036873]  [<ffffffff812a8f3e>] blk_release_queue+0x9e/0xd0
[590567.042684]  [<ffffffff812c52bb>] kobject_release+0x8b/0x1d0
[590567.048348]  [<ffffffff812c513c>] kobject_put+0x2c/0x60
[590567.053850]  [<ffffffff812a767a>] blk_cleanup_queue+0xba/0xd0
[590567.059245]  [<ffffffffa03d137d>] aoedev_freedev+0x12d/0x150 [aoe]
[590567.064693]  [<ffffffffa03d1945>] aoedev_exit+0x65/0x80 [aoe]
[590567.070050]  [<ffffffffa03d1aa3>] aoe_exit+0x33/0x40 [aoe]
[590567.075442]  [<ffffffff810b6d46>] sys_delete_module+0x1a6/0x2b0
[590567.080883]  [<ffffffff810d12dc>] ? __audit_syscall_entry+0xcc/0x310
[590567.086417]  [<ffffffff81605be9>] system_call_fastpath+0x16/0x1b
[590567.091796] ---[ end trace 9b07c203a3e80044 ]---
Comment 1 Dimitar Pashev 2012-08-30 09:49:18 EDT
Same result occurs after the execution of "aoe-flush -a"
Comment 2 Dave Jones 2012-10-23 11:32:58 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Dimitar Pashev 2012-10-24 15:37:36 EDT
modprobe aoe:
[   28.612281] aoe: AoE v47 initialised.
[   28.613087] aoe: 000423d36ac3 e4.1 v0100 has 33554432 sectors
[   28.614283]  etherd/e4.1: p1

modprobe -r aoe:
194.006486] ------------[ cut here ]------------
[  194.007255] WARNING: at lib/list_debug.c:62 __list_del_entry+0x82/0xd0()
[  194.007980] Hardware name: KVM
[  194.008757] list_del corruption. next->prev should be ffff880038639128, but was ffffffff81c79b00
[  194.009753] Modules linked in: aoe(-) ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack microcode i2c_piix4 i2c_core virtio_balloon virtio_blk virtio_net
[  194.012723] Pid: 721, comm: modprobe Not tainted 3.6.2-4.fc17.x86_64 #1
[  194.013696] Call Trace:
[  194.014619]  [<ffffffff8105b81f>] warn_slowpath_common+0x7f/0xc0
[  194.015568]  [<ffffffff8105b916>] warn_slowpath_fmt+0x46/0x50
[  194.016493]  [<ffffffff812ecfa2>] __list_del_entry+0x82/0xd0
[  194.017412]  [<ffffffff812ed001>] list_del+0x11/0x40
[  194.018315]  [<ffffffff812f45a8>] percpu_counter_destroy+0x28/0x50
[  194.019226]  [<ffffffff8114b043>] bdi_destroy+0x43/0x140
[  194.020223]  [<ffffffff812bc39c>] blk_release_queue+0x8c/0xc0
[  194.021301]  [<ffffffff812da472>] kobject_cleanup+0x82/0x1b0
[  194.022909]  [<ffffffff812da2fb>] kobject_put+0x2b/0x60
[  194.024517]  [<ffffffff812b6235>] blk_put_queue+0x15/0x20
[  194.026076]  [<ffffffff812ba7e9>] blk_cleanup_queue+0xc9/0xe0
[  194.027620]  [<ffffffffa008b3f5>] aoedev_freedev+0x135/0x150 [aoe]
[  194.029144]  [<ffffffffa008b9a5>] aoedev_exit+0x65/0x80 [aoe]
[  194.030642]  [<ffffffffa008bafe>] aoe_exit+0x2e/0x40 [aoe]
[  194.032177]  [<ffffffff810bcc5e>] sys_delete_module+0x16e/0x2d0
[  194.033119]  [<ffffffff810d73dc>] ? __audit_syscall_entry+0xcc/0x300
[  194.033839]  [<ffffffff810d79fc>] ? __audit_syscall_exit+0x3ec/0x450
[  194.034556]  [<ffffffff816227e9>] system_call_fastpath+0x16/0x1b
[  194.035415] ---[ end trace 093264d6c4305bd6 ]---
[  194.036143] ------------[ cut here ]------------
Comment 4 Dimitar Pashev 2012-10-24 15:49:56 EDT
It has the same result with kernel 3.6.2-4.fc17.x86_64 under Fedora 17 installation
Comment 5 Dimitar Pashev 2012-10-24 15:53:29 EDT
Created attachment 633013 [details]
dmesg output
Comment 6 Dimitar Pashev 2012-10-26 09:39:12 EDT
I found a similar message when stopping a virtual machine.
[    0.000000] Linux version 3.6.2-4.fc17.x86_64 (mockbuild@) (gcc version 4.7.2 20120921 (Red Hat 4.7.2-2) (GCC) ) #1 SMP Wed Oct 17 02:43:21 
. . . . . 
[ 3284.556022] ------------[ cut here ]------------
[ 3284.556111] WARNING: at lib/list_debug.c:59 __list_del_entry+0xa1/0xd0()
[ 3284.556213] Hardware name: S5000VSA
[ 3284.556272] list_del corruption. prev->next should be ffffc900127a4268, but was ffff88020c928280
[ 3284.556402] Modules linked in: ebtable_nat ebtables ipt_MASQUERADE xt_CHECKSUM lockd bridge 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_multiport ip6table_filter ip6_tables xt_state iptable_mangle iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack binfmt_misc iTCO_wdt iTCO_vendor_support lpc_ich mfd_core coretemp i5000_edac edac_core i5k_amb vhost_net microcode serio_raw i2c_i801 ioatdma tun shpchp dca macvtap macvlan kvm_intel kvm aoe usb_storage e1000e radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core sunrpc be2iscsi bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi libiscsi_tcp qla4xxx iscsi_boot_sysfs libiscsi scsi_transport_iscsi
[ 3284.558281] Pid: 1313, comm: libvirtd Not tainted 3.6.2-4.fc17.x86_64 #1
[ 3284.558382] Call Trace:
[ 3284.558427]  [<ffffffff8105b81f>] warn_slowpath_common+0x7f/0xc0
[ 3284.558519]  [<ffffffff8105b916>] warn_slowpath_fmt+0x46/0x50
[ 3284.558598]  [<ffffffff812ecfc1>] __list_del_entry+0xa1/0xd0
[ 3284.558692]  [<ffffffff812ed001>] list_del+0x11/0x40
[ 3284.558775]  [<ffffffff812f45a8>] percpu_counter_destroy+0x28/0x50
[ 3284.558875]  [<ffffffff81591cc5>] tcp_destroy_cgroup+0x25/0x40
[ 3284.558961]  [<ffffffff814fb919>] mem_cgroup_sockets_destroy+0x49/0x70
[ 3284.559069]  [<ffffffff81183d7a>] mem_cgroup_destroy+0x1a/0x30
[ 3284.559158]  [<ffffffff810c5ff6>] cgroup_diput+0xb6/0x150
[ 3284.559246]  [<ffffffff811a4aa6>] d_delete+0x136/0x1a0
[ 3284.559323]  [<ffffffff8119c9f7>] vfs_rmdir+0xf7/0x110
[ 3284.559399]  [<ffffffff8119caef>] do_rmdir+0xdf/0x120
[ 3284.559471]  [<ffffffff810d73dc>] ? __audit_syscall_entry+0xcc/0x300
[ 3284.559574]  [<ffffffff810d79fc>] ? __audit_syscall_exit+0x3ec/0x450
[ 3284.559678]  [<ffffffff8119f126>] sys_rmdir+0x16/0x20
[ 3284.559748]  [<ffffffff816227e9>] system_call_fastpath+0x16/0x1b
[ 3284.559839] ---[ end trace d085438a169e1f0d ]---
Comment 7 Dimitar Pashev 2012-10-26 09:43:15 EDT
[ 3709.793042] BUG: unable to handle kernel paging request at ffffc900127a4268
[ 3709.794005] IP: [<ffffffff812ecf49>] __list_del_entry+0x29/0xd0
[ 3709.794005] PGD 21700f067 PUD 217020067 PMD 2130e2067 PTE 0
[ 3709.794005] Oops: 0000 [#1] SMP
[ 3709.794005] Modules linked in: ebtable_nat ebtables ipt_MASQUERADE xt_CHECKSUM lockd bridge 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_multiport ip6table_filter ip6_tables xt_state iptable_mangle iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack binfmt_misc iTCO_wdt iTCO_vendor_support lpc_ich mfd_core coretemp i5000_edac edac_core i5k_amb vhost_net microcode serio_raw i2c_i801 ioatdma tun shpchp dca macvtap macvlan kvm_intel kvm aoe usb_storage e1000e radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core sunrpc be2iscsi bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi libiscsi_tcp qla4xxx iscsi_boot_sysfs libiscsi scsi_transport_iscsi
[ 3709.794005] CPU 2
[ 3709.794005] Pid: 1313, comm: libvirtd Tainted: G        W    3.6.2-4.fc17.x86_64 #1 Intel S5000VSA/S5000VSA
[ 3709.794005] RIP: 0010:[<ffffffff812ecf49>]  [<ffffffff812ecf49>] __list_del_entry+0x29/0xd0
[ 3709.794005] RSP: 0018:ffff88020d87dd78  EFLAGS: 00010202
[ 3709.794005] RAX: ffffc900127a4268 RBX: ffffc90011639268 RCX: dead000000200200
[ 3709.794005] RDX: ffffc90011632268 RSI: ffff88020e0c4530 RDI: ffffc90011639268
[ 3709.794005] RBP: ffff88020d87dd78 R08: ffff88020d87dd68 R09: 00000000000003e0
[ 3709.794005] R10: 0000000000000001 R11: 0000000000000000 R12: ffffc90011638000
[ 3709.794005] R13: ffff88021051a0d0 R14: 0000000000000000 R15: 00007f253015cfe0
[ 3709.794005] FS:  00007f254cd4d880(0000) GS:ffff88021fc80000(0000) knlGS:0000000000000000
[ 3709.794005] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 3709.794005] CR2: ffffc900127a4268 CR3: 000000020ee56000 CR4: 00000000000007e0
[ 3709.794005] DR0: 0000000000000090 DR1: 00000000000000a4 DR2: 00000000000000ff
[ 3709.794005] DR3: 000000000000000f DR6: 00000000ffff0ff0 DR7: 0000000000000400
[ 3709.794005] Process libvirtd (pid: 1313, threadinfo ffff88020d87c000, task ffff88020e0c4530)
[ 3709.794005] Stack:
[ 3709.794005]  ffff88020d87dd98 ffffffff812ed001 ffff880213303800 ffffc90011639258
[ 3709.794005]  ffff88020d87ddb8 ffffffff812f45a8 ffff88020d87ddb8 ffffc900116391e8
[ 3709.794005]  ffff88020d87ddd8 ffffffff81591cc5 ffffc90011638000 ffffffff81ca5dc0
[ 3709.794005] Call Trace:
[ 3709.794005]  [<ffffffff812ed001>] list_del+0x11/0x40
[ 3709.794005]  [<ffffffff812f45a8>] percpu_counter_destroy+0x28/0x50
[ 3709.794005]  [<ffffffff81591cc5>] tcp_destroy_cgroup+0x25/0x40
[ 3709.794005]  [<ffffffff814fb919>] mem_cgroup_sockets_destroy+0x49/0x70
[ 3709.794005]  [<ffffffff81183d7a>] mem_cgroup_destroy+0x1a/0x30
[ 3709.794005]  [<ffffffff810c5ff6>] cgroup_diput+0xb6/0x150
[ 3709.794005]  [<ffffffff811a4aa6>] d_delete+0x136/0x1a0
[ 3709.794005]  [<ffffffff8119c9f7>] vfs_rmdir+0xf7/0x110
[ 3709.794005]  [<ffffffff8119caef>] do_rmdir+0xdf/0x120
[ 3709.794005]  [<ffffffff810d73dc>] ? __audit_syscall_entry+0xcc/0x300
[ 3709.794005]  [<ffffffff810d79fc>] ? __audit_syscall_exit+0x3ec/0x450
[ 3709.794005]  [<ffffffff8119f126>] sys_rmdir+0x16/0x20
[ 3709.794005]  [<ffffffff816227e9>] system_call_fastpath+0x16/0x1b
[ 3709.794005] Code: 00 00 55 48 8b 17 48 b9 00 01 10 00 00 00 ad de 48 8b 47 08 48 89 e5 48 39 ca 74 29 48 b9 00 02 20 00 00 00 ad de 48 39 c8 74 7a <4c> 8b 00 4c 39 c7 75 53 4c 8b 42 08 4c 39 c7 75 2b 48 89 42 08
[ 3709.794005] RIP  [<ffffffff812ecf49>] __list_del_entry+0x29/0xd0
[ 3709.794005]  RSP <ffff88020d87dd78>
[ 3709.794005] CR2: ffffc900127a4268
[ 3709.794005] ---[ end trace d085438a169e1f0e ]---
Comment 8 Josh Boyer 2013-01-02 12:47:38 EST
The last two comments are unrelated to the aoe issue.

Is aoe actively in use when you rmmod it?  Are you still seeing the issue with 3.6.11 or newer?
Comment 9 Dimitar Pashev 2013-01-03 05:11:33 EST
1. Yes, this issue exist on 3.6.11 kernel (3.6.11-1.fc17.x86_64)
2. I run the following commands sequentially

- modprobe aoe
- dmesg:
[699170.611997] aoe: AoE v47 initialised.
[699170.653980] aoe: e4.1: setting 8192 byte data frames on eth1:000423d36ac3
[699170.654106] aoe: e6.0: setting 8192 byte data frames on eth1:000423d36ac3
[699170.654961] aoe: e6.2: setting 8192 byte data frames on eth1:000423d36ac3
[699170.654961] aoe: e6.3: setting 8192 byte data frames on eth1:000423d36ac3
[699170.654961] aoe: e8.1: setting 8192 byte data frames on eth1:000423d36ac3
[699170.654961] aoe: e8.2: setting 8192 byte data frames on eth1:000423d36ac3
[699170.654961] aoe: e8.10: setting 8192 byte data frames on eth1:000423d36ac3
[699170.654961] aoe: e8.11: setting 8192 byte data frames on eth1:000423d36ac3
[699170.654961] aoe: 000423d36ac3 e4.1 v0100 has 33554432 sectors
[699170.654961] aoe: 000423d36ac3 e6.0 v0100 has 12582912 sectors
[699170.654961] aoe: 000423d36ac3 e6.2 v0100 has 16777216 sectors
[699170.702143] aoe: 000423d36ac3 e6.3 v0100 has 104857600 sectors
[699170.706391] aoe: 000423d36ac3 e8.1 v0100 has 272629760 sectors
[699170.710623] aoe: 000423d36ac3 e8.2 v0100 has 67108864 sectors
[699170.714851] aoe: 000423d36ac3 e8.10 v0100 has 33554432 sectors
[699170.719056] aoe: 000423d36ac3 e8.11 v0100 has 67108864 sectors
[699170.824774]  etherd/e4.1: p1
[699170.829069]  etherd/e6.0: p1 p2
[699170.833274]  etherd/e8.1: p1 p2
[699170.837329]  etherd/e8.2: p1
[699170.841204]  etherd/e8.10: p1
[699170.845030]  etherd/e8.11: p1
[699170.848706]  etherd/e6.3: unknown partition table
[699170.852384]  etherd/e6.2: unknown partition table

- lsmod |grep aoe
aoe                    32214  0	  

- modprobe -vr aoe
- dmesg:
[699231.304689] ------------[ cut here ]------------
[699231.308319] WARNING: at lib/list_debug.c:62 __list_del_entry+0x82/0xd0()
[699231.312031] Hardware name: S5000VSA
[699231.315658] list_del corruption. next->prev should be ffff880009fa37e8, but was ffffffff81c79c00
[699231.319352] Modules linked in: aoe(-) ip6table_filter ip6_tables ebtable_nat ebtables lockd sunrpc bridge 8021q garp stp llc vfat fat binfmt_misc iTCO_wdt iTCO_vendor_support vhost_net lpc_ich radeon tun macvtap mfd_core serio_raw coretemp i2c_algo_bit ttm i5000_edac macvlan drm_kms_helper e1000e edac_core microcode i5k_amb shpchp i2c_i801 drm kvm_intel i2c_core kvm ioatdma dca raid1
[699231.336259] Pid: 8584, comm: modprobe Not tainted 3.6.11-1.fc17.x86_64 #1
[699231.340561] Call Trace:
[699231.344865]  [<ffffffff8105c8ef>] warn_slowpath_common+0x7f/0xc0
[699231.349212]  [<ffffffff8105c9e6>] warn_slowpath_fmt+0x46/0x50
[699231.353595]  [<ffffffff812eee52>] __list_del_entry+0x82/0xd0
[699231.357954]  [<ffffffff812eeeb1>] list_del+0x11/0x40
[699231.362319]  [<ffffffff812f6458>] percpu_counter_destroy+0x28/0x50
[699231.366712]  [<ffffffff8114c513>] bdi_destroy+0x43/0x140
[699231.371127]  [<ffffffff812be20c>] blk_release_queue+0x8c/0xc0
[699231.375454]  [<ffffffff812dc322>] kobject_cleanup+0x82/0x1b0
[699231.379675]  [<ffffffff812dc1ab>] kobject_put+0x2b/0x60
[699231.383851]  [<ffffffff812b80a5>] blk_put_queue+0x15/0x20
[699231.387899]  [<ffffffff812bc659>] blk_cleanup_queue+0xc9/0xe0
[699231.391794]  [<ffffffffa01f53f5>] aoedev_freedev+0x135/0x150 [aoe]
[699231.395668]  [<ffffffffa01f59a5>] aoedev_exit+0x65/0x80 [aoe]
[699231.399493]  [<ffffffffa01f5afe>] aoe_exit+0x2e/0x40 [aoe]
[699231.403273]  [<ffffffff810bdefe>] sys_delete_module+0x16e/0x2d0
[699231.407119]  [<ffffffff8161db56>] ? __schedule+0x3c6/0x7a0
[699231.411050]  [<ffffffff8119054a>] ? sys_write+0x4a/0x90
[699231.415033]  [<ffffffff81627329>] system_call_fastpath+0x16/0x1b
[699231.419117] ---[ end trace 9e1558af1964b569 ]---
[699231.423248] ------------[ cut here ]------------
Comment 10 Josh Boyer 2013-01-03 08:26:23 EST
I've sent an email to the upstream maintainer with you on CC.  Hopefully they will have an idea.
Comment 11 Josh Boyer 2013-01-03 16:17:34 EST
When this scratch kernel finishes building, will you please test it?

http://koji.fedoraproject.org/koji/taskinfo?taskID=4837531
Comment 12 Dimitar Pashev 2013-01-04 05:43:14 EST
I tested it in the manner described above, the problem does not appear.
No errors!

1. modprobe -v aoe
insmod /lib/modules/3.6.11-2.3.fc17.x86_64/kernel/drivers/block/aoe/aoe.ko

2. dmesg
[  685.282200] aoe: AoE v47nobdi1 initialised.
[  685.328644] aoe: e4.1: setting 8192 byte data frames on eth1:000423d36ac3
[  685.328763] aoe: e6.0: setting 8192 byte data frames on eth1:000423d36ac3
. . . . . . 

3. lsmod |egrep "aoe|Used"
Module                  Size  Used by
aoe                    32214  0

4. modprobe -vr aoe
rmmod aoe

5. dmesg
 - No new messages/errors :)
Comment 13 Josh Boyer 2013-01-04 07:34:07 EST
Great, thanks for testing.  We'll get this fixed in an official update shortly.
Comment 14 Fedora Update System 2013-01-08 14:52:41 EST
kernel-3.7.1-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.7.1-5.fc18
Comment 15 Fedora Update System 2013-01-08 17:30:15 EST
kernel-3.6.11-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.6.11-4.fc16
Comment 16 Fedora Update System 2013-01-08 17:51:09 EST
kernel-3.6.11-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.11-5.fc17
Comment 17 Fedora Update System 2013-01-09 17:51:39 EST
Package kernel-3.7.1-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.7.1-5.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0518/kernel-3.7.1-5.fc18
then log in and leave karma (feedback).
Comment 18 Dimitar Pashev 2013-01-10 06:03:52 EST
Tested kernel-3.6.11-5.fc17.x86_64.rpm. No errors! :)
Comment 19 Fedora Update System 2013-01-12 10:06:17 EST
kernel-3.7.2-201.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.7.2-201.fc18
Comment 20 Fedora Update System 2013-01-13 23:14:30 EST
kernel-3.7.2-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-01-18 15:45:20 EST
kernel-3.6.11-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-01-28 09:53:33 EST
kernel-3.6.11-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.